"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.agileSprintsCreate = void 0;
const extensions_1 = require("../../../../../../../extensions");
exports.agileSprintsCreate = new extensions_1.Command()
    .name("create")
    .description("Create Sprints with Agile Provider")
    .addAgileProviderOptions()
    .addAction((serviceCollection, options) => __awaiter(void 0, void 0, void 0, function* () {
    const { getAgileService } = serviceCollection;
    const agileService = getAgileService(options);
    yield agileService.createSprints();
}));
