"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pjr = void 0;
const extensions_1 = require("../extensions");
const initialization_1 = require("../initialization");
const commands_1 = require("./commands");
exports.pjr = new extensions_1.Command()
    .description("Root command for the Projector CLI")
    .name("pjr")
    .initialize(() => {
    initialization_1.registerProviders();
})
    .asciiArt("projector")
    .passCommandToAction(false)
    .addSubCommand(commands_1.agile)
    .addSubCommand(commands_1.links)
    .addSubCommand(commands_1.playbook)
    .addSubCommand(commands_1.repo)
    .addSubCommand(commands_1.version)
    .addPhoneTree();
