export declare enum ConfigKey {
    AgileServiceProvider = "agile.serviceProvider",
    AgileAccessToken = "agile.accessToken",
    AgileBoardColumns = "agile.board.columns",
    AgileBoardFirstColumn = "agile.board.firstColumn",
    AgileDefaultSprintLength = "agile.sprints.defaultSprintLength",
    AgileDefaultNumberOfSprints = "agile.sprints.defaultNumberOfSprints",
    AgileDefaultDaysBetweenSprints = "agile.sprints.defaultDaysBetweenSprints",
    AgileDefaultSprintStartIndex = "agile.sprints.defaultSprintStartIndex",
    AgileDefaultProjectTemplateId = "agile.project.templateTypeId",
    AgileProjectName = "agile.project.name",
    AgileDefaultSourceControl = "agile.project.sourceControlType",
    AgileBaseUrl = "agile.baseUrl",
    AppInsightsInstrumentationKey = "appInsights.instrumentationKey",
    AppInsightsEnabled = "appInsights.enabled",
    Links = "links",
    PlaybookOwnerName = "playbook.owner",
    PlaybookRepoName = "playbook.repo",
    PlaybookWorkItemTemplatesPath = "playbook.paths.workItemTemplates",
    PlaybookAccessToken = "playbook.accessToken",
    RepoServiceProvider = "repo.serviceProvider",
    RepoName = "repo.name",
    RepoOwner = "repo.owner",
    TestAzDOBaseUrl = "test.azdo.baseUrl",
    TestAzDOProjectName = "test.azdo.projectName",
    TestAzDOAccessToken = "test.azdo.accessToken",
    TestGitHubAccessToken = "test.github.accessToken",
    TestGitHubBaseUrl = "test.github.baseUrl",
    TestGitHubRepoName = "test.github.repoName"
}
