import { Metrics } from "../models";
import { MetricsProvider } from "../services";
export declare class MetricsFactory {
    private static registry;
    static register(providerName: MetricsProvider, metrics: Metrics): void;
    static get(providerName: MetricsProvider): Metrics;
    static getIfRegistered(providerName: MetricsProvider): Metrics | undefined;
}
