import { ProjectVisibility } from "azure-devops-node-api/interfaces/CoreInterfaces";
export interface Project {
    id?: string;
    name: string;
    description: string;
    visibility: ProjectVisibility;
    capabilities: {
        versioncontrol: {
            sourceControlType: string;
        };
        processTemplate?: {
            templateTypeId: string;
        };
    };
}
