"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.repoProviderInteractiveOption = void 0;
const constants_1 = require("../../../constants");
const services_1 = require("../../../services");
exports.repoProviderInteractiveOption = {
    shortName: "-r",
    longName: "--repo-provider",
    description: "Repo Service Provider",
    configKey: constants_1.ConfigKey.RepoServiceProvider,
    prompt: "Which Repo Provider are you using?",
    choices: [services_1.RepoServiceProvider.AzureDevOps, services_1.RepoServiceProvider.GitHub],
};
