import { BacklogItem, BacklogItemType } from "../models";
import { AzureDevOpsWorkItemType } from "../services/agile/providers/azureDevOps/azureDevOpsWorkItemType";
import { AzDOJsonPatchDocument } from "../services/agile/providers/azureDevOps/jsonPatchDocument";
export declare class AzureDevOpsUtils {
    static createPatchDocument(backlogItem: BacklogItem, parentUrl?: string): AzDOJsonPatchDocument;
    static getWorkItemType(backlogItemType: BacklogItemType): AzureDevOpsWorkItemType;
    static getBacklogItemType(workItemType: AzureDevOpsWorkItemType): BacklogItemType;
    private static createFieldValuePairs;
    private static stringifyAcceptanceCriteria;
}
