"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Guard = void 0;
/* eslint-disable @typescript-eslint/no-explicit-any,@typescript-eslint/explicit-module-boundary-types */
class Guard {
    static empty(arg, name, message) {
        if (!arg) {
            throw new Error(message || `Argument '${name}' cannot be empty`);
        }
    }
    static null(arg, name, message) {
        if (!arg) {
            throw new Error(message || `Argument '${name}' cannot be null`);
        }
    }
}
exports.Guard = Guard;
