"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfigKey = void 0;
var ConfigKey;
(function (ConfigKey) {
    // Agile Configuration Keys
    ConfigKey["AgileServiceProvider"] = "agile.serviceProvider";
    ConfigKey["AgileAccessToken"] = "agile.accessToken";
    ConfigKey["AgileBoardColumns"] = "agile.board.columns";
    ConfigKey["AgileBoardFirstColumn"] = "agile.board.firstColumn";
    ConfigKey["AgileDefaultSprintLength"] = "agile.sprints.defaultSprintLength";
    ConfigKey["AgileDefaultNumberOfSprints"] = "agile.sprints.defaultNumberOfSprints";
    ConfigKey["AgileDefaultDaysBetweenSprints"] = "agile.sprints.defaultDaysBetweenSprints";
    ConfigKey["AgileDefaultSprintStartIndex"] = "agile.sprints.defaultSprintStartIndex";
    ConfigKey["AgileDefaultProjectTemplateId"] = "agile.project.templateTypeId";
    ConfigKey["AgileProjectName"] = "agile.project.name";
    ConfigKey["AgileDefaultSourceControl"] = "agile.project.sourceControlType";
    ConfigKey["AgileBaseUrl"] = "agile.baseUrl";
    // App Insights Configuration Keys
    ConfigKey["AppInsightsInstrumentationKey"] = "appInsights.instrumentationKey";
    ConfigKey["AppInsightsEnabled"] = "appInsights.enabled";
    // Links Configuration Keys
    ConfigKey["Links"] = "links";
    // Playbook Configuration keys
    ConfigKey["PlaybookOwnerName"] = "playbook.owner";
    ConfigKey["PlaybookRepoName"] = "playbook.repo";
    ConfigKey["PlaybookWorkItemTemplatesPath"] = "playbook.paths.workItemTemplates";
    ConfigKey["PlaybookAccessToken"] = "playbook.accessToken";
    // Repo Configuration Keys
    ConfigKey["RepoServiceProvider"] = "repo.serviceProvider";
    ConfigKey["RepoName"] = "repo.name";
    ConfigKey["RepoOwner"] = "repo.owner";
    // Test Configuration Keys
    ConfigKey["TestAzDOBaseUrl"] = "test.azdo.baseUrl";
    ConfigKey["TestAzDOProjectName"] = "test.azdo.projectName";
    ConfigKey["TestAzDOAccessToken"] = "test.azdo.accessToken";
    ConfigKey["TestGitHubAccessToken"] = "test.github.accessToken";
    ConfigKey["TestGitHubBaseUrl"] = "test.github.baseUrl";
    ConfigKey["TestGitHubRepoName"] = "test.github.repoName";
})(ConfigKey = exports.ConfigKey || (exports.ConfigKey = {}));
