import { Command } from "./command";
import { Link } from "../models/general/link";
import { ServiceCollection } from "../models";
/**
 * Create command to open URL in browser
 *
 * @param {Link} link Link
 * @param {string|undefined} path Path after base URL
 * @param {ServiceCollection} serviceCollection Service collection - creates one if not provided
 * @returns {Command} Command to open url in broswer
 */
export declare function urlCommand(link: Link, path?: string, serviceCollection?: ServiceCollection): Command;
