"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.agileBaseUrlInteractiveOption = void 0;
const constants_1 = require("../../../constants");
exports.agileBaseUrlInteractiveOption = {
    shortName: "-u",
    longName: "--base-url",
    description: "Base URL for Agile Service Provider. Be sure to include the organization name (e.g. https://dev.azure.com/microsoft or https://github.com/microsoft)",
    configKey: constants_1.ConfigKey.AgileBaseUrl,
    prompt: "Please provide the base url for your Agile Service Provider (e.g. https://dev.azure.com/microsoft or https://github.com/microsoft)",
};
