"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.playbookOptionalAccessTokenInteractiveOption = void 0;
const constants_1 = require("../../../constants");
exports.playbookOptionalAccessTokenInteractiveOption = {
    shortName: "-p",
    longName: "--playbook-access-token",
    description: "Optional GitHub access token. Authorized requests have higher request limits",
    configKey: constants_1.ConfigKey.PlaybookAccessToken,
    prompt: "For higher request limits, please provide a GitHub access token. This is optional",
};
