"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.repoProjectNameInteractiveOption = void 0;
const constants_1 = require("../../../constants");
const services_1 = require("../../../services");
exports.repoProjectNameInteractiveOption = {
    shortName: "-p",
    longName: "--project-name",
    description: "Project name for your Repo Provider",
    configKey: constants_1.ConfigKey.AgileProjectName,
    repoServiceProviders: [services_1.RepoServiceProvider.AzureDevOps],
    prompt: "What's the name of your project within the Repo Service Provider?",
};
