import { Logger, Properties } from "../../models";
export declare abstract class BaseLogger implements Logger {
    protected defaultProperties?: Properties;
    constructor(defaultProperties?: Properties);
    logHeader(message: string): void;
    addDefaultProperties(properties: Properties): void;
    abstract debug: (message: string, properties?: Properties) => void;
    abstract log: (message: string, properties?: Properties) => void;
    abstract warn: (message: string, properties?: Properties) => void;
    abstract error: (message: string, properties?: Properties) => void;
}
