"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConsoleLogger = void 0;
const baseLogger_1 = require("./baseLogger");
class ConsoleLogger extends baseLogger_1.BaseLogger {
    constructor() {
        super(...arguments);
        this.debug = (message) => {
            console.debug(message);
        };
        this.log = (message) => {
            console.log(message);
        };
        this.warn = (message) => {
            console.warn(message);
        };
        this.error = (message) => {
            console.error(message);
        };
    }
}
exports.ConsoleLogger = ConsoleLogger;
