import { StorageService } from "../../models/storage";
import { Logger } from "../../models";
export declare class FileStorageService implements StorageService {
    private static readWriteOptions;
    private defaultWriteLocation;
    private logger;
    constructor(defaultWriteLocation: string, logger: Logger);
    find(fileName: string, startingDirectory?: string): Promise<string | undefined>;
    read(fileName: string, directory?: string): Promise<string | undefined>;
    write(fileName: string, content: string, directory?: string): Promise<boolean>;
    list(location?: string): Promise<string[]>;
}
