import { Link } from "../models/general/link";
import { ConfigKey } from "../constants";
export declare class Config {
    static getValue<T = string>(configKey: ConfigKey): T;
    static getValueWithDefault<T = string>(configKey: ConfigKey, defaultValue?: T): T | undefined;
    static getLink(name: string): Link;
    static getEnvironmentVariableName(configKey: ConfigKey): string;
    static getUpdatedEnvFileContents(configKey: ConfigKey, value: string, existingEnvFile?: string): string;
    static isAppInsightsEnabled(): boolean;
}
