"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TypeUtils = void 0;
/**
 * Helper class to determine types of objects at runtime
 */
class TypeUtils {
    /**
     * Indicates whether or not an object is of type ProviderConfig
     *
     * @param {any} config Config object
     * @returns {boolean} True if object is of type ProviderConfig
     */
    // eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types,@typescript-eslint/no-explicit-any
    static isProviderConfig(config) {
        return config && !!config.providerName;
    }
}
exports.TypeUtils = TypeUtils;
